Package ghidra.app.util

# Interface SearchConstants

public interface SearchConstants
Miscellaneous constants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_SEARCH_LIMIT`
  The default search limit.
  `static final GColor`
  `SEARCH_HIGHLIGHT_COLOR`
  `static final String`
  `SEARCH_HIGHLIGHT_COLOR_OPTION_NAME`
  Color for highlighting for searches.
  `static final GColor`
  `SEARCH_HIGHLIGHT_CURRENT_ADDR_COLOR`
  `static final String`
  `SEARCH_HIGHLIGHT_CURRENT_COLOR_OPTION_NAME`
  Default highlight color used when something to highlight is at the current address.
  `static final String`
  `SEARCH_HIGHLIGHT_NAME`
  Option name for whether to highlight search results.
  `static final String`
  `SEARCH_LIMIT_NAME`
  Option for the max number of hits found in a search; the search stops when it reaches this limit.
  `static final String`
  `SEARCH_OPTION_NAME`
  Name of the Options object for Search.

- ## Field Details

  - ### DEFAULT_SEARCH_LIMIT

    static final int DEFAULT_SEARCH_LIMIT
    The default search limit.
    See Also:
      - Constant Field Values

  - ### SEARCH_OPTION_NAME

    static final String SEARCH_OPTION_NAME
    Name of the Options object for Search.
    See Also:
      - Constant Field Values

  - ### SEARCH_LIMIT_NAME

    static final String SEARCH_LIMIT_NAME
    Option for the max number of hits found in a search; the search stops when it reaches this limit.
    See Also:
      - Constant Field Values

  - ### SEARCH_HIGHLIGHT_NAME

    static final String SEARCH_HIGHLIGHT_NAME
    Option name for whether to highlight search results.
    See Also:
      - Constant Field Values

  - ### SEARCH_HIGHLIGHT_COLOR_OPTION_NAME

    static final String SEARCH_HIGHLIGHT_COLOR_OPTION_NAME
    Color for highlighting for searches.
    See Also:
      - Constant Field Values

  - ### SEARCH_HIGHLIGHT_COLOR

    static final GColor SEARCH_HIGHLIGHT_COLOR

  - ### SEARCH_HIGHLIGHT_CURRENT_COLOR_OPTION_NAME

    static final String SEARCH_HIGHLIGHT_CURRENT_COLOR_OPTION_NAME
    Default highlight color used when something to highlight is at the current address.
    See Also:
      - Constant Field Values

  - ### SEARCH_HIGHLIGHT_CURRENT_ADDR_COLOR

    static final GColor SEARCH_HIGHLIGHT_CURRENT_ADDR_COLOR